Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_UNIX_Addr Class Reference

Defines the ``UNIX domain address family'' address format. More...

`#include <UNIX_Addr.h>`

Inheritance diagram for ACE_UNIX_Addr:

[legend]
Collaboration diagram for ACE_UNIX_Addr:

[legend]
List of all members.

## Public Member Functions
| ACE_UNIX_Addr (void)
| Default constructor.
| ACE_UNIX_Addr (const ACE_UNIX_Addr &sa)
| Copy constructor.
| ACE_UNIX_Addr (const char rendezvous_point[])
| Creates an ACE_UNIX_Addr from a string.
| ACE_UNIX_Addr (const sockaddr_un *, int len)
| Creates an ACE_INET_Addr from a sockaddr_un structure.
int | set (const ACE_UNIX_Addr &sa)
| Creates an ACE_UNIX_Addr from another ACE_UNIX_Addr.
int | set (const char rendezvous_point[])
| Creates an ACE_UNIX_Addr from a string.
int | set (const sockaddr_un *, int len)
| Creates an ACE_UNIX_Addr from a sockaddr_un structure.
virtual void * | get_addr (void) const
| Return a pointer to the underlying network address.
virtual void | set_addr (void *addr, int len)
| Set a pointer to the underlying network address.
virtual int | addr_to_string (ACE_TCHAR addr[], size_t) const
| Transform the current address into string format.
virtual int | string_to_addr (const char addr[])
| Transform the string into the current addressing format.
| ACE_UNIX_Addr (const wchar_t rendezvous_point[])
| Creates an ACE_UNIX_Addr from a string.
int | set (const wchar_t rendezvous_point[])
| Creates an ACE_UNIX_Addr from a string.
bool | operator== (const ACE_UNIX_Addr &SAP) const
| Compare two addresses for equality.
bool | operator!= (const ACE_UNIX_Addr &SAP) const
| Compare two addresses for inequality.
const char * | get_path_name (void) const
| Return the path name of the underlying rendezvous point.
virtual u_long | hash (void) const
| Computes and returns hash value.
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Private Attributes
sockaddr_un | unix_addr_
| Underlying socket address.

## Detailed Description

Defines the ``UNIX domain address family'' address format.

## Constructor & Destructor Documentation

ACE_UNIX_Addr::ACE_UNIX_Addr | ( | void |  | ) |

| Default constructor.

ACE_UNIX_Addr::ACE_UNIX_Addr | ( | const ACE_UNIX_Addr & | sa | ) |

| Copy constructor.

ACE_UNIX_Addr::ACE_UNIX_Addr | ( | const char | rendezvous_point[] | ) |

| Creates an ACE_UNIX_Addr from a string.

ACE_UNIX_Addr::ACE_UNIX_Addr | ( | const sockaddr_un * | ,
|  | int | len
| ) |

| Creates an ACE_INET_Addr from a sockaddr_un structure.

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE ACE_UNIX_Addr::ACE_UNIX_Addr | ( | const wchar_t | rendezvous_point[] | ) |

| Creates an ACE_UNIX_Addr from a string.

## Member Function Documentation

int ACE_UNIX_Addr::addr_to_string | ( | ACE_TCHAR | addr[],
|  | size_t |
| ) | const`[virtual]`

| Transform the current address into string format.

void ACE_UNIX_Addr::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented from ACE_Addr.

void * ACE_UNIX_Addr::get_addr | ( | void |  | ) | const`[virtual]`

| Return a pointer to the underlying network address. Reimplemented from ACE_Addr.

ACE_INLINE const char * ACE_UNIX_Addr::get_path_name | ( | void |  | ) | const

| Return the path name of the underlying rendezvous point.

u_long ACE_UNIX_Addr::hash | ( | void |  | ) | const`[virtual]`

| Computes and returns hash value. Reimplemented from ACE_Addr.

ACE_INLINE bool ACE_UNIX_Addr::operator!= | ( | const ACE_UNIX_Addr & | SAP | ) | const

| Compare two addresses for inequality.

ACE_INLINE bool ACE_UNIX_Addr::operator== | ( | const ACE_UNIX_Addr & | SAP | ) | const

| Compare two addresses for equality.

ACE_INLINE int ACE_UNIX_Addr::set | ( | const wchar_t | rendezvous_point[] | ) |

| Creates an ACE_UNIX_Addr from a string.

int ACE_UNIX_Addr::set | ( | const sockaddr_un * | ,
|  | int | len
| ) |

| Creates an ACE_UNIX_Addr from a sockaddr_un structure.

int ACE_UNIX_Addr::set | ( | const char | rendezvous_point[] | ) |

| Creates an ACE_UNIX_Addr from a string.

int ACE_UNIX_Addr::set | ( | const ACE_UNIX_Addr & | sa | ) |

| Creates an ACE_UNIX_Addr from another ACE_UNIX_Addr.

ACE_BEGIN_VERSIONED_NAMESPACE_DECL void ACE_UNIX_Addr::set_addr | ( | void * | addr,
|  | int | len
| ) | `[virtual]`

| Set a pointer to the underlying network address. Reimplemented from ACE_Addr.

int ACE_UNIX_Addr::string_to_addr | ( | const char | addr[] | ) | `[virtual]`

| Transform the string into the current addressing format.

## Member Data Documentation

ACE_UNIX_Addr::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_Addr.

sockaddr_un ACE_UNIX_Addr::unix_addr_`[private]`

| Underlying socket address.

The documentation for this class was generated from the following files:

- UNIX_Addr.h
- UNIX_Addr.cpp
- UNIX_Addr.inl